> ## Documentation Index
> Fetch the complete documentation index at: https://docs.factory.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List computers

> Returns all persistent computer environments for the authenticated organization.



## OpenAPI

````yaml https://api.factory.ai/api/v0/openapi.json get /api/v0/computers
openapi: 3.0.1
info:
  title: Factory Public API
  description: >-
    Public API for Factory platform. Requires authentication via the
    `Authorization: Bearer` header.
  version: 0.1.0
servers:
  - url: https://api.factory.ai/
    description: Production
security:
  - BearerAuth: []
paths:
  /api/v0/computers:
    get:
      tags:
        - Computers
      summary: List computers
      description: >-
        Returns all persistent computer environments for the authenticated
        organization.
      operationId: listComputers
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListComputers200ResponseBody'
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListComputers401ResponseBody'
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListComputers500ResponseBody'
components:
  schemas:
    ListComputers200ResponseBody:
      type: object
      properties:
        computers:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              hostname:
                type: string
              providerType:
                type: string
                enum:
                  - byom
                  - e2b
              status:
                type: string
                enum:
                  - provisioning
                  - active
                  - error
              createdAt:
                type: number
              provisioningSteps:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    status:
                      type: string
                    error:
                      type: string
                    startedAt:
                      type: number
                    completedAt:
                      type: number
                    installSessionId:
                      type: string
                  required:
                    - id
                    - name
                    - status
                  additionalProperties: false
              relayClientUrl:
                type: string
                format: uri
              relayAgentUrl:
                type: string
                format: uri
              remoteUser:
                type: string
            required:
              - id
              - name
              - providerType
              - createdAt
            additionalProperties: false
      required:
        - computers
      additionalProperties: false
    ListComputers401ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
    ListComputers500ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Factory API key or JWT token for authentication

````